Subject: Re: [patch 03/18] PS3: Use __maybe_unused

From: Geoff Levand <[email-masked]>
Date: Wed, 06 Jun 2007 15:37:01 -0700

Michael Ellerman wrote:
> On Tue, 2007-06-05 at 19:59 -0700, Geoff Levand wrote:
>> Change the PS3 debug routines from using the GCC specific
>> '__attribute__ ((unused))' to the preprocessor macro
>> __maybe_unused.
> 
> I'm confused. If DEBUG is defined then they're used, if it's not then
> they're not built.

Some are for actual 'debugging' use, calls to be added later, not
just for verbose output.  Others are for verbose output when DEBUG
is defined.  I have it setup so they are always built to do the
syntax check, but removed by the optimizer when not used.  I was
planning to remove these routines sometime in the future, but want
to keep them in until the code gets stable.

-Geoff